fingerprint {openssl} | R Documentation

## OpenSSH fingerprint

### Description

Calculates the OpenSSH fingerprint of a public key. This value should match what you get to see when connecting with SSH to a server. Note that some other systems might use a different algorithm to derive a (different) fingerprint for the same keypair.

### Usage

    fingerprint(key, hashfun = md5)

### Arguments

`key` | a public or private key
`hashfun` | which hash function to use to calculate the fingerprint

### Examples

    mykey <- rsa_keygen()
    pubkey <- as.list(mykey)$pubkey
    fingerprint(mykey)
    fingerprint(pubkey)

    # Some systems use other hash functions
    fingerprint(pubkey, sha1)
    fingerprint(pubkey, sha256)

    # Other key types
    fingerprint(dsa_keygen())

[Package openssl version 0.9.7 Index]